﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace BaseApplicationProject
{
    public class MyViewModel : ViewModelBase
    {

        public ObservableCollection<OrderGroup> OrderGroups { get; set; }

        public List<dbProduct> AvailableProducts { get; set; }

        public MyViewModel()
        {
            OrderGroups = new ObservableCollection<OrderGroup>();
            
            // Create pseudo db context
            MyEntities entitties = new MyEntities();

            this.AvailableProducts = new List<dbProduct>(entitties.dbProduct);

            foreach (dbOrder order in entitties.dbOrder)
            {
                this.OrderGroups.Add(new OrderGroup(order));
            }
        }
    }

   
}
